Charm - the Cross-Platform Time Tracker [![Windows Build status](https://ci.appveyor.com/api/projects/status/cxr8oijfuya778c8/branch/master?svg=true)](https://ci.appveyor.com/project/KDAB/charm/branch/master)
======================================
Whether you are a busy professional who needs to keep track time spent on
projects or a student who wants to plan their studies: knowing how your
time is spent is a good idea.

Charm is a program for OS X, Linux and Windows that helps to keep
track of time. It is built around two major ideas - tasks and
events. Tasks are the things time is spend on, repeatedly. For
example, ironing laundry is a task. The laundry done for two hours on
last Tuesday is an event in that task. When doing laundry multiple
times, the events will be accumulated, and can later be printed in
activity reports or weekly time sheets. So in case laundry would be
done for three hours on Wednesday again, the activity report for the
"Ironing Laundry" task would list the event on tuesday, the event on
wednesday and a total of five hours.

Tasks
-----
By default, the list of tasks known to Charm is empty. They have to be
created manually. So the first time work is done on a task, the task
entry needs to be created in the task list. Then, by selecting a task
and starting it, time will be recorded on that task. A comment can be
added that may help to identify later what the individual event was
for.
Switching from one task to another is a matter of starting the other
task.

Tasks can have subtasks, and create a hierarchy this way. It is
recommended to create rather few top level tasks, since tasks are also
used to group in reports. Other tasks can then be created as children
or even grandchildren of the top level tasks.

Events
------
Every time time is recorded for a task, an event is created. What
events exist can be seen in the event editor (View->Event
Editor). Also, new events can be created there (without recording
them), modified or deleted.


Reports
-------
### Activity Reports
Activity Reports group all events that happened in a certain time
frame, like a day or a week. They are handy to get an overview of what
was worked on during that time.

### Time Sheets
Time Sheets are created per week, and group event time to tasks and
week days. Time Sheets are great to report to the boss, you see.

Downloads
---------

For released versions, binary packages are available:

For various Linux distributions, packages are available via the [openSUSE Build Service](https://build.opensuse.org/package/show/isv:KDAB/charmtimetracker/).

For Windows and OS X, [find installers here](https://github.com/KDAB/Charm/releases).

Authors and License
-------------------
Charm has been developed by Mirko Boehm (mirko@kde.org), as a work of fun and
experimentation. The current maintainers are Frank Osterfeld and Guillermo A.
Amaral B.

Charm is Free Software, developed under the terms
of the GPL. While we hope it is of good use, there is no guaranty of
function or usefulness of any kind.

Feedback is encouraged and always welcome. Feel free to suggest
improvements, or point out bugs in the software.
